FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 11-05-2010, 07:29 AM
JB
 
Default Fedora F13 to F14 upgrade leaves RPM database with strange mix of fc13 and fc14 packages

Deron Meranda <deron.meranda <at> gmail.com> writes:

>
> # yum clean all
> Loaded plugins: downloadonly, presto, refresh-packagekit, verify
> Cleaning repos: fedora updates
> Cleaning up Everything
> 0 delta-package files removed, by presto

Well, watch your steps :-)

> Loaded plugins: downloadonly, presto, refresh-packagekit, verify

# yum info yum-plugin-downloadonly
# yum remove yum-plugin-downloadonly

# yum clean all
# yum check-update
# yum update

JB






--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 11-05-2010, 08:04 AM
Andre Robatino
 
Default Fedora F13 to F14 upgrade leaves RPM database with strange mix of fc13 and fc14 packages

Deron Meranda <deron.meranda <at> gmail.com> writes:

>
> On Fri, Nov 5, 2010 at 4:27 AM, Frank Murphy <frankly3d <at> gmail.com> wrote:
> > On 05/11/10 08:25, Deron Meranda wrote:
> >> Investigating just a little more, using the tzdata package...
> > <snip>
> >
> > yum distribution-synchronization
> >
> > This will leave you with what is in the F14 repos
>
> That looks like it wants to downgrade several packages:
>
> apr-util
> apr-util-devel
> apr-util-ldap
> info
> orc
> perl-Net-DNS-SEC
> texinfo
> texinfo-tex
> tzdata
> tzdata-java
> xorg-x11-drv-wacom
>
> Looking at a couple, such as texinfo, it does indeed appear as if the version
> available in Fedora 14 is OLDER than the version in Fedora 13 (up to the
> current patch/update level).
>
> I've not actually done the distribution-synchronization yet as I'm not
> sure I want to downgrade anything yet.

On my cleanly installed and updated F14 x86_64 box, the correct versions of the
above packages are

apr-util-1.3.9-3.fc13.x86_64
apr-util-devel-1.3.9-3.fc13.x86_64
apr-util-ldap-1.3.9-3.fc13.x86_64
info-4.13a-10.fc14.x86_64
orc-0.4.6-1.fc14.x86_64
orc-0.4.6-1.fc14.i686
perl-Net-DNS-SEC-0.14-7.fc14.noarch
texinfo-4.13a-10.fc14.x86_64
texinfo-tex-4.13a-10.fc14.x86_64
tzdata-2010k-1.fc14.noarch
tzdata-java-2010k-1.fc14.noarch
xorg-x11-drv-wacom-0.10.8-1.20100726.fc14.x86_64

so assuming these are older than what you currently have installed, "yum
distro-sync" should do the right thing. You don't want to have F13 versions of
packages (meaning packages from the F13 repos, NOT packages with "fc13" in them,
many of which are included in F14), even if they're newer (which ideally
wouldn't happen).

--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 

Thread Tools




All times are GMT. The time now is 05:12 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org